Innehåll

# Eqv Operator

Beräknar den logiska ekvivalensen av två uttryck.

## Syntax:

    Resultat = Uttryck1 Eqv Uttryck2

## Parametrar:

Resultat: En numerisk variabel som innehåller jämförelsens resultat.

Uttryck1, Uttryck2: De uttryck som ska jämföras.

Vid utvärdering av två logiska uttrycks ekvivalens, returneras True om båda uttrycken är antingen True eller False.

Vid bitvis jämförelse sätter operatorn Eqv en viss bit i resultat om motsvarande bit är 1 i båda uttrycken, eller om motsvarande bit är 0 i båda uttrycken.

## Exempel:

    Sub ExampleEqv
    Dim A As Variant, B As Variant, C As Variant, D As Variantsee #i38265
    Dim vOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vOut = A > B Eqv B > C ' returnerar -1
        vOut = B > A Eqv B > C ' returnerar 0
        vOut = A > B Eqv B > D ' returnerar 0
        vOut = (B > D Eqv B > A) ' returnerar -1
        vOut = B Eqv A ' returnerar -3
    End Sub

Stötta oss!